optionsEditor.item.Tools.view.UI = treeTableNodeUI
optionsEditor.item.Tools.order = 100
optionsEditor.item.Tools.condition = !isPlugin() && isGlobalOptions() && isFeatureEnabledByWorkspace("Options.Tools")
optionsEditor.item.Tools.view.expandLevel = 1
optionsEditor.item.Tools.view.description = ["toolEditor/toolsEditor_description"]

compilebeforerun.enabled = true
optionsEditor.item.Tools.item.Compilebeforerun.name = "Compile Before Run"
optionsEditor.item.Tools.item.Compilebeforerun = BooleanField
optionsEditor.item.Tools.item.Compilebeforerun.propertyName = compilebeforerun.enabled
optionsEditor.item.Tools.item.Compilebeforerun.order = 5
optionsEditor.item.Tools.item.Compilebeforerun.view.description= "Compiles application before running it."

reflectprocess.enabled = true
optionsEditor.item.Tools.item.reflectprocess.name = ["toolEditor/reflectprocess"]
optionsEditor.item.Tools.item.reflectprocess = BooleanField
optionsEditor.item.Tools.item.reflectprocess.propertyName = reflectprocess.enabled
optionsEditor.item.Tools.item.reflectprocess.order = 5
optionsEditor.item.Tools.item.reflectprocess.view.description= ["toolEditor/reflectprocess_description"]

runtimeargs.askbeforerun = true
optionsEditor.item.Tools.item.runtimeargs.name = "Ask for Arguments Before Run"
optionsEditor.item.Tools.item.runtimeargs = BooleanField
optionsEditor.item.Tools.item.runtimeargs.propertyName = runtimeargs.askbeforerun
optionsEditor.item.Tools.item.runtimeargs.order = 5
optionsEditor.item.Tools.item.runtimeargs.view.description= "If checked then Together displays the dialog which asks for main class, program arguments and VM options before starting new run session."

jdkit.homedir = $TGH$/jdk
optionsEditor.item.Tools.item.jdkitHomeDir.name = "JDK Home"
optionsEditor.item.Tools.item.jdkitHomeDir = FolderNameField
optionsEditor.item.Tools.item.jdkitHomeDir.propertyName = jdkit.homedir
optionsEditor.item.Tools.item.jdkitHomeDir.order = 10
optionsEditor.item.Tools.item.jdkitHomeDir.view.description = "Root directory of JDK"

optionsEditor.item.Tools.item.classpath.name = ["toolEditor/classpath"]
optionsEditor.item.Tools.item.classpath = PathEditorField
optionsEditor.item.Tools.item.classpath.propertyName = build.classpath
optionsEditor.item.Tools.item.classpath.order = 20
optionsEditor.item.Tools.item.classpath.view.description = ["toolEditor/classpath_description"]

optionsEditor.item.Tools.item.sourcepath.name = ["toolEditor/sourcepath"]
optionsEditor.item.Tools.item.sourcepath = PathEditorField
optionsEditor.item.Tools.item.sourcepath.propertyName = build.sourcepath
optionsEditor.item.Tools.item.sourcepath.order = 30
optionsEditor.item.Tools.item.sourcepath.view.description = ["toolEditor/sourcepath_description"]

optionsEditor.item.Tools.item.destination.name = ["toolEditor/destdir"]
optionsEditor.item.Tools.item.destination = FolderNameField
optionsEditor.item.Tools.item.destination.propertyName = build.destination
optionsEditor.item.Tools.item.destination.order = 40
optionsEditor.item.Tools.item.destination.view.description = ["toolEditor/destdir_description"]

makefile.destdir = $PROJECT_DIR$
optionsEditor.item.Tools.item.makefiledestdir.name = "Makefile Destination Directory"
optionsEditor.item.Tools.item.makefiledestdir = FolderNameField
optionsEditor.item.Tools.item.makefiledestdir.propertyName = makefile.destdir
optionsEditor.item.Tools.item.makefiledestdir.order = 50
optionsEditor.item.Tools.item.makefiledestdir.view.description = "Destination directory for generating Makefiles."

compiler.options = -g
optionsEditor.item.Tools.item.compilerOptions.name = "Compiler Options"
optionsEditor.item.Tools.item.compilerOptions = StringField
optionsEditor.item.Tools.item.compilerOptions.propertyName = compiler.options
optionsEditor.item.Tools.item.compilerOptions.order = 60
optionsEditor.item.Tools.item.compilerOptions.view.description = "Compiler options"

;optionsEditor.item.Tools.item.mainClass.name = "Main Class"
;optionsEditor.item.Tools.item.mainClass = FileNameField
;optionsEditor.item.Tools.item.mainClass.propertyName = build.main
;optionsEditor.item.Tools.item.destination.order = 60

tool.a.name = ["toolEditor/externEditor"]
optionsEditor.item.Tools.item.A.trigger = nameFromProperty("tool.a.name")
optionsEditor.item.Tools.item.A = StringField
optionsEditor.item.Tools.item.A.propertyName = tool.a.name
optionsEditor.item.Tools.item.A.order = 80
optionsEditor.item.Tools.item.A.view.description = ["toolEditor/externEditor_description"]

optionsEditor.item.Tools.item.A.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.A.item.command = FileNameField
optionsEditor.item.Tools.item.A.item.command.propertyName = tool.a.command
optionsEditor.item.Tools.item.A.item.command.order = 10
optionsEditor.item.Tools.item.A.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.A.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.A.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.A.item.parameters.propertyName = tool.a.parameters
optionsEditor.item.Tools.item.A.item.parameters.order = 20
optionsEditor.item.Tools.item.A.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.A.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.A.item.ShowFor.order = 30
optionsEditor.item.Tools.item.A.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.A.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForFile.propertyName = tool.a.showFor.file
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForFile.order = 10
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.A.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForDir.propertyName = tool.a.showFor.directory
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForDir.order = 20
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.A.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForSource.propertyName = tool.a.showFor.source
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForSource.order = 30
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.A.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForElement.propertyName = tool.a.showFor.element
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForElement.order = 40
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.A.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForMainMenu.propertyName = tool.a.showFor.mainMenu
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForMainMenu.order = 5
optionsEditor.item.Tools.item.A.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.A.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.A.item.update = BooleanField
optionsEditor.item.Tools.item.A.item.update.propertyName = tool.a.update
optionsEditor.item.Tools.item.A.item.update.order = 40
optionsEditor.item.Tools.item.A.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.A.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.A.item.Prompt = BooleanField
optionsEditor.item.Tools.item.A.item.Prompt.propertyName = tool.a.Prompt
optionsEditor.item.Tools.item.A.item.Prompt.order = 50
optionsEditor.item.Tools.item.A.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]


optionsEditor.item.Tools.item.A.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.A.item.openMessage = BooleanField
optionsEditor.item.Tools.item.A.item.openMessage.propertyName = tool.a.openMessage
optionsEditor.item.Tools.item.A.item.openMessage.order = 52
optionsEditor.item.Tools.item.A.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.A.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.A.item.allMessages = BooleanField
optionsEditor.item.Tools.item.A.item.allMessages.propertyName = tool.a.allMessages
optionsEditor.item.Tools.item.A.item.allMessages.order = 54
optionsEditor.item.Tools.item.A.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]


optionsEditor.item.Tools.item.A.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.A.item.filter = ChoiceField({
\  values := { "default","none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})

optionsEditor.item.Tools.item.A.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.A.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.A.item.language.propertyName = tool.a.language
optionsEditor.item.Tools.item.A.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.A.item.filter.propertyName = tool.a.filter
optionsEditor.item.Tools.item.A.item.filter.order = 60
optionsEditor.item.Tools.item.A.item.filter.view.description = ["toolEditor/tool_filter_description"]

tool.f.name = ["toolEditor/tool1"]
optionsEditor.item.Tools.item.F.trigger = nameFromProperty("tool.f.name")
optionsEditor.item.Tools.item.F = StringField
optionsEditor.item.Tools.item.F.propertyName = tool.f.name
optionsEditor.item.Tools.item.F.order = 120
optionsEditor.item.Tools.item.F.view.description = ["toolEditor/tool1_description"]

optionsEditor.item.Tools.item.F.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.F.item.command = FileNameField
optionsEditor.item.Tools.item.F.item.command.propertyName = tool.f.command
optionsEditor.item.Tools.item.F.item.command.order = 10
optionsEditor.item.Tools.item.F.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.F.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.F.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.F.item.parameters.propertyName = tool.f.parameters
optionsEditor.item.Tools.item.F.item.parameters.order = 20
optionsEditor.item.Tools.item.F.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.F.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.F.item.ShowFor.order = 30
optionsEditor.item.Tools.item.F.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.F.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForFile.propertyName = tool.f.showFor.file
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForFile.order = 10
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.F.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForDir.propertyName = tool.f.showFor.directory
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForDir.order = 20
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.F.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForSource.propertyName = tool.f.showFor.source
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForSource.order = 30
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.F.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForElement.propertyName = tool.f.showFor.element
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForElement.order = 40
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.F.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForMainMenu.propertyName = tool.f.showFor.mainMenu
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForMainMenu.order = 5
optionsEditor.item.Tools.item.F.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.F.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.F.item.update = BooleanField
optionsEditor.item.Tools.item.F.item.update.propertyName = tool.f.update
optionsEditor.item.Tools.item.F.item.update.order = 80
optionsEditor.item.Tools.item.F.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.F.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.F.item.Prompt = BooleanField
optionsEditor.item.Tools.item.F.item.Prompt.propertyName = tool.f.Prompt
optionsEditor.item.Tools.item.F.item.Prompt.order = 90
optionsEditor.item.Tools.item.F.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]

optionsEditor.item.Tools.item.F.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.F.item.openMessage = BooleanField
optionsEditor.item.Tools.item.F.item.openMessage.propertyName = tool.f.openMessage
optionsEditor.item.Tools.item.F.item.openMessage.order = 92
optionsEditor.item.Tools.item.F.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.F.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.F.item.allMessages = BooleanField
optionsEditor.item.Tools.item.F.item.allMessages.propertyName = tool.f.allMessages
optionsEditor.item.Tools.item.F.item.allMessages.order = 94
optionsEditor.item.Tools.item.F.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]


optionsEditor.item.Tools.item.F.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.F.item.filter = ChoiceField({
\  values := { "default", "none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})

optionsEditor.item.Tools.item.F.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.F.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.F.item.language.propertyName = tool.f.language
optionsEditor.item.Tools.item.F.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.F.item.filter.propertyName = tool.f.filter
optionsEditor.item.Tools.item.F.item.filter.order = 100
optionsEditor.item.Tools.item.F.item.filter.view.description = ["toolEditor/tool_filter_description"]

tool.g.name = ["toolEditor/tool2"]
optionsEditor.item.Tools.item.G.trigger = nameFromProperty("tool.g.name")
optionsEditor.item.Tools.item.G = StringField
optionsEditor.item.Tools.item.G.propertyName = tool.g.name
optionsEditor.item.Tools.item.G.order = 130
optionsEditor.item.Tools.item.G.view.description = ["toolEditor/tool2_description"]

optionsEditor.item.Tools.item.G.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.G.item.command = FileNameField
optionsEditor.item.Tools.item.G.item.command.propertyName = tool.g.command
optionsEditor.item.Tools.item.G.item.command.order = 10
optionsEditor.item.Tools.item.G.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.G.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.G.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.G.item.parameters.propertyName = tool.g.parameters
optionsEditor.item.Tools.item.G.item.parameters.order = 20
optionsEditor.item.Tools.item.G.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.G.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.G.item.ShowFor.order = 30
optionsEditor.item.Tools.item.G.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.G.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForFile.propertyName = tool.g.showFor.file
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForFile.order = 10
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.G.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForDir.propertyName = tool.g.showFor.directory
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForDir.order = 20
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.G.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForSource.propertyName = tool.g.showFor.source
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForSource.order = 30
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.G.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForElement.propertyName = tool.g.showFor.element
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForElement.order = 40
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.G.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForMainMenu.propertyName = tool.g.showFor.mainMenu
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForMainMenu.order = 5
optionsEditor.item.Tools.item.G.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.G.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.G.item.update = BooleanField
optionsEditor.item.Tools.item.G.item.update.propertyName = tool.g.update
optionsEditor.item.Tools.item.G.item.update.order = 80
optionsEditor.item.Tools.item.G.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.G.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.G.item.Prompt = BooleanField
optionsEditor.item.Tools.item.G.item.Prompt.propertyName = tool.g.Prompt
optionsEditor.item.Tools.item.G.item.Prompt.order = 90
optionsEditor.item.Tools.item.G.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]

optionsEditor.item.Tools.item.G.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.G.item.openMessage = BooleanField
optionsEditor.item.Tools.item.G.item.openMessage.propertyName = tool.g.openMessage
optionsEditor.item.Tools.item.G.item.openMessage.order = 92
optionsEditor.item.Tools.item.G.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.G.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.G.item.allMessages = BooleanField
optionsEditor.item.Tools.item.G.item.allMessages.propertyName = tool.g.allMessages
optionsEditor.item.Tools.item.G.item.allMessages.order = 94
optionsEditor.item.Tools.item.G.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]




optionsEditor.item.Tools.item.G.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.G.item.filter = ChoiceField({
\  values := { "default","none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})

optionsEditor.item.Tools.item.G.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.G.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.G.item.language.propertyName = tool.g.language
optionsEditor.item.Tools.item.G.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.G.item.filter.propertyName = tool.g.filter
optionsEditor.item.Tools.item.G.item.filter.order = 100
optionsEditor.item.Tools.item.G.item.filter.view.description = ["toolEditor/tool_filter_description"]

tool.h.name = ["toolEditor/tool3"]
optionsEditor.item.Tools.item.H.trigger = nameFromProperty("tool.h.name")
optionsEditor.item.Tools.item.H = StringField
optionsEditor.item.Tools.item.H.propertyName = tool.h.name
optionsEditor.item.Tools.item.H.order = 140
optionsEditor.item.Tools.item.H.view.description = ["toolEditor/tool3_description"]

optionsEditor.item.Tools.item.H.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.H.item.command = FileNameField
optionsEditor.item.Tools.item.H.item.command.propertyName = tool.h.command
optionsEditor.item.Tools.item.H.item.command.order = 10
optionsEditor.item.Tools.item.H.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.H.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.H.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.H.item.parameters.propertyName = tool.h.parameters
optionsEditor.item.Tools.item.H.item.parameters.order = 20
optionsEditor.item.Tools.item.H.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.H.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.H.item.ShowFor.order = 30
optionsEditor.item.Tools.item.H.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.H.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForFile.propertyName = tool.h.showFor.file
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForFile.order = 30
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.H.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForDir.propertyName = tool.h.showFor.directory
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForDir.order = 40
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.H.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForSource.propertyName = tool.h.showFor.source
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForSource.order = 50
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.H.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForElement.propertyName = tool.h.showFor.element
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForElement.order = 60
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.H.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForMainMenu.propertyName = tool.h.showFor.mainMenu
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForMainMenu.order = 7
optionsEditor.item.Tools.item.H.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.H.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.H.item.update = BooleanField
optionsEditor.item.Tools.item.H.item.update.propertyName = tool.h.update
optionsEditor.item.Tools.item.H.item.update.order = 80
optionsEditor.item.Tools.item.H.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.H.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.H.item.Prompt = BooleanField
optionsEditor.item.Tools.item.H.item.Prompt.propertyName = tool.h.Prompt
optionsEditor.item.Tools.item.H.item.Prompt.order = 90
optionsEditor.item.Tools.item.H.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]

optionsEditor.item.Tools.item.H.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.H.item.openMessage = BooleanField
optionsEditor.item.Tools.item.H.item.openMessage.propertyName = tool.h.openMessage
optionsEditor.item.Tools.item.H.item.openMessage.order = 92
optionsEditor.item.Tools.item.H.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.H.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.H.item.allMessages = BooleanField
optionsEditor.item.Tools.item.H.item.allMessages.propertyName = tool.h.allMessages
optionsEditor.item.Tools.item.H.item.allMessages.order = 94
optionsEditor.item.Tools.item.H.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]


optionsEditor.item.Tools.item.H.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.H.item.filter = ChoiceField({
\  values := { "default","none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})

optionsEditor.item.Tools.item.H.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.H.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.H.item.language.propertyName = tool.h.language
optionsEditor.item.Tools.item.H.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.H.item.filter.propertyName = tool.h.filter
optionsEditor.item.Tools.item.H.item.filter.order = 100
optionsEditor.item.Tools.item.H.item.filter.view.description = ["toolEditor/tool_filter_description"]


tool.i.name = ["toolEditor/tool4"]
optionsEditor.item.Tools.item.I.trigger = nameFromProperty("tool.i.name")
optionsEditor.item.Tools.item.I = StringField
optionsEditor.item.Tools.item.I.propertyName = tool.i.name
optionsEditor.item.Tools.item.I.order = 150
optionsEditor.item.Tools.item.I.view.description = ["toolEditor/tool4_description"]

optionsEditor.item.Tools.item.I.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.I.item.command = FileNameField
optionsEditor.item.Tools.item.I.item.command.propertyName = tool.i.command
optionsEditor.item.Tools.item.I.item.command.order = 10
optionsEditor.item.Tools.item.I.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.I.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.I.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.I.item.parameters.propertyName = tool.i.parameters
optionsEditor.item.Tools.item.I.item.parameters.order = 20
optionsEditor.item.Tools.item.I.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.I.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.I.item.ShowFor.order = 30
optionsEditor.item.Tools.item.I.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.I.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForFile.propertyName = tool.i.showFor.file
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForFile.order = 30
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.I.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForDir.propertyName = tool.i.showFor.directory
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForDir.order = 40
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.I.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForSource.propertyName = tool.i.showFor.source
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForSource.order = 50
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.I.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForElement.propertyName = tool.i.showFor.element
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForElement.order = 60
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.I.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForMainMenu.propertyName = tool.i.showFor.mainMenu
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForMainMenu.order = 7
optionsEditor.item.Tools.item.I.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.I.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.I.item.update = BooleanField
optionsEditor.item.Tools.item.I.item.update.propertyName = tool.i.update
optionsEditor.item.Tools.item.I.item.update.order = 80
optionsEditor.item.Tools.item.I.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.I.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.I.item.Prompt = BooleanField
optionsEditor.item.Tools.item.I.item.Prompt.propertyName = tool.i.Prompt
optionsEditor.item.Tools.item.I.item.Prompt.order = 90
optionsEditor.item.Tools.item.I.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]

optionsEditor.item.Tools.item.I.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.I.item.openMessage = BooleanField
optionsEditor.item.Tools.item.I.item.openMessage.propertyName = tool.i.openMessage
optionsEditor.item.Tools.item.I.item.openMessage.order = 92
optionsEditor.item.Tools.item.I.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.I.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.I.item.allMessages = BooleanField
optionsEditor.item.Tools.item.I.item.allMessages.propertyName = tool.i.allMessages
optionsEditor.item.Tools.item.I.item.allMessages.order = 94
optionsEditor.item.Tools.item.I.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]


optionsEditor.item.Tools.item.I.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.I.item.filter = ChoiceField({
\  values := { "default","none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})

optionsEditor.item.Tools.item.I.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.I.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.I.item.language.propertyName = tool.i.language
optionsEditor.item.Tools.item.I.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.I.item.filter.propertyName = tool.i.filter
optionsEditor.item.Tools.item.I.item.filter.order = 100
optionsEditor.item.Tools.item.I.item.filter.view.description = ["toolEditor/tool_filter_description"]


tool.j.name = ["toolEditor/tool5"]
optionsEditor.item.Tools.item.J.trigger = nameFromProperty("tool.j.name")
optionsEditor.item.Tools.item.J = StringField
optionsEditor.item.Tools.item.J.propertyName = tool.j.name
optionsEditor.item.Tools.item.J.order = 160
optionsEditor.item.Tools.item.J.view.description = ["toolEditor/tool5_description"]

optionsEditor.item.Tools.item.J.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.J.item.command = FileNameField
optionsEditor.item.Tools.item.J.item.command.propertyName = tool.j.command
optionsEditor.item.Tools.item.J.item.command.order = 10
optionsEditor.item.Tools.item.J.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.J.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.J.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.J.item.parameters.propertyName = tool.j.parameters
optionsEditor.item.Tools.item.J.item.parameters.order = 20
optionsEditor.item.Tools.item.J.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.J.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.J.item.ShowFor.order = 30
optionsEditor.item.Tools.item.J.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.J.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForFile.propertyName = tool.j.showFor.file
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForFile.order = 30
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.J.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForDir.propertyName = tool.j.showFor.directory
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForDir.order = 40
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.J.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForSource.propertyName = tool.j.showFor.source
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForSource.order = 50
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.J.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForElement.propertyName = tool.j.showFor.element
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForElement.order = 60
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.J.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForMainMenu.propertyName = tool.j.showFor.mainMenu
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForMainMenu.order = 7
optionsEditor.item.Tools.item.J.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.J.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.J.item.update = BooleanField
optionsEditor.item.Tools.item.J.item.update.propertyName = tool.j.update
optionsEditor.item.Tools.item.J.item.update.order = 80
optionsEditor.item.Tools.item.J.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.J.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.J.item.Prompt = BooleanField
optionsEditor.item.Tools.item.J.item.Prompt.propertyName = tool.j.Prompt
optionsEditor.item.Tools.item.J.item.Prompt.order = 90
optionsEditor.item.Tools.item.J.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]

optionsEditor.item.Tools.item.J.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.J.item.openMessage = BooleanField
optionsEditor.item.Tools.item.J.item.openMessage.propertyName = tool.j.openMessage
optionsEditor.item.Tools.item.J.item.openMessage.order = 92
optionsEditor.item.Tools.item.J.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.J.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.J.item.allMessages = BooleanField
optionsEditor.item.Tools.item.J.item.allMessages.propertyName = tool.j.allMessages
optionsEditor.item.Tools.item.J.item.allMessages.order = 94
optionsEditor.item.Tools.item.J.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]


optionsEditor.item.Tools.item.J.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.J.item.filter = ChoiceField({
\  values := { "default","none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})

optionsEditor.item.Tools.item.J.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.J.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.J.item.language.propertyName = tool.j.language
optionsEditor.item.Tools.item.J.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.J.item.filter.propertyName = tool.j.filter
optionsEditor.item.Tools.item.J.item.filter.order = 100
optionsEditor.item.Tools.item.J.item.filter.view.description = ["toolEditor/tool_filter_description"]


tool.k.name = ["toolEditor/tool6"]
optionsEditor.item.Tools.item.K.trigger = nameFromProperty("tool.k.name")
optionsEditor.item.Tools.item.K = StringField
optionsEditor.item.Tools.item.K.propertyName = tool.k.name
optionsEditor.item.Tools.item.K.order = 170
optionsEditor.item.Tools.item.K.view.description = ["toolEditor/tool6_description"]

optionsEditor.item.Tools.item.K.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.K.item.command = FileNameField
optionsEditor.item.Tools.item.K.item.command.propertyName = tool.k.command
optionsEditor.item.Tools.item.K.item.command.order = 10
optionsEditor.item.Tools.item.K.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.K.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.K.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.K.item.parameters.propertyName = tool.k.parameters
optionsEditor.item.Tools.item.K.item.parameters.order = 20
optionsEditor.item.Tools.item.K.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.K.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.K.item.ShowFor.order = 30
optionsEditor.item.Tools.item.K.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.K.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForFile.propertyName = tool.k.showFor.file
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForFile.order = 30
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.K.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForDir.propertyName = tool.k.showFor.directory
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForDir.order = 40
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.K.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForSource.propertyName = tool.k.showFor.source
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForSource.order = 50
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.K.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForElement.propertyName = tool.k.showFor.element
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForElement.order = 60
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.K.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForMainMenu.propertyName = tool.k.showFor.mainMenu
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForMainMenu.order = 7
optionsEditor.item.Tools.item.K.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.K.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.K.item.update = BooleanField
optionsEditor.item.Tools.item.K.item.update.propertyName = tool.k.update
optionsEditor.item.Tools.item.K.item.update.order = 80
optionsEditor.item.Tools.item.K.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.K.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.K.item.Prompt = BooleanField
optionsEditor.item.Tools.item.K.item.Prompt.propertyName = tool.k.Prompt
optionsEditor.item.Tools.item.K.item.Prompt.order = 90
optionsEditor.item.Tools.item.K.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]

optionsEditor.item.Tools.item.K.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.K.item.openMessage = BooleanField
optionsEditor.item.Tools.item.K.item.openMessage.propertyName = tool.k.openMessage
optionsEditor.item.Tools.item.K.item.openMessage.order = 92
optionsEditor.item.Tools.item.K.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.K.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.K.item.allMessages = BooleanField
optionsEditor.item.Tools.item.K.item.allMessages.propertyName = tool.k.allMessages
optionsEditor.item.Tools.item.K.item.allMessages.order = 94
optionsEditor.item.Tools.item.K.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]


optionsEditor.item.Tools.item.K.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.K.item.filter = ChoiceField({
\  values := { "default","none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})

optionsEditor.item.Tools.item.K.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.K.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.K.item.language.propertyName = tool.k.language
optionsEditor.item.Tools.item.K.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.K.item.filter.propertyName = tool.k.filter
optionsEditor.item.Tools.item.K.item.filter.order = 100
optionsEditor.item.Tools.item.K.item.filter.view.description = ["toolEditor/tool_filter_description"]


tool.l.name = ["toolEditor/tool7"]
optionsEditor.item.Tools.item.L.trigger = nameFromProperty("tool.l.name")
optionsEditor.item.Tools.item.L = StringField
optionsEditor.item.Tools.item.L.propertyName = tool.l.name
optionsEditor.item.Tools.item.L.order = 180
optionsEditor.item.Tools.item.L.view.description = ["toolEditor/tool7_description"]

optionsEditor.item.Tools.item.L.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.L.item.command = FileNameField
optionsEditor.item.Tools.item.L.item.command.propertyName = tool.l.command
optionsEditor.item.Tools.item.L.item.command.order = 10
optionsEditor.item.Tools.item.L.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.L.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.L.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.L.item.parameters.propertyName = tool.l.parameters
optionsEditor.item.Tools.item.L.item.parameters.order = 20
optionsEditor.item.Tools.item.L.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.L.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.L.item.ShowFor.order = 30
optionsEditor.item.Tools.item.L.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.L.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForFile.propertyName = tool.l.showFor.file
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForFile.order = 30
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.L.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForDir.propertyName = tool.l.showFor.directory
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForDir.order = 40
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.L.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForSource.propertyName = tool.l.showFor.source
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForSource.order = 50
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.L.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForElement.propertyName = tool.l.showFor.element
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForElement.order = 60
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.L.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForMainMenu.propertyName = tool.l.showFor.mainMenu
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForMainMenu.order = 7
optionsEditor.item.Tools.item.L.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.L.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.L.item.update = BooleanField
optionsEditor.item.Tools.item.L.item.update.propertyName = tool.l.update
optionsEditor.item.Tools.item.L.item.update.order = 80
optionsEditor.item.Tools.item.L.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.L.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.L.item.Prompt = BooleanField
optionsEditor.item.Tools.item.L.item.Prompt.propertyName = tool.l.Prompt
optionsEditor.item.Tools.item.L.item.Prompt.order = 90
optionsEditor.item.Tools.item.L.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]

optionsEditor.item.Tools.item.L.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.L.item.openMessage = BooleanField
optionsEditor.item.Tools.item.L.item.openMessage.propertyName = tool.l.openMessage
optionsEditor.item.Tools.item.L.item.openMessage.order = 92
optionsEditor.item.Tools.item.L.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.L.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.L.item.allMessages = BooleanField
optionsEditor.item.Tools.item.L.item.allMessages.propertyName = tool.l.allMessages
optionsEditor.item.Tools.item.L.item.allMessages.order = 94
optionsEditor.item.Tools.item.L.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]


optionsEditor.item.Tools.item.L.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.L.item.filter = ChoiceField({
\  values := { "default","none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})

optionsEditor.item.Tools.item.L.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.L.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.L.item.language.propertyName = tool.l.language
optionsEditor.item.Tools.item.L.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.L.item.filter.propertyName = tool.l.filter
optionsEditor.item.Tools.item.L.item.filter.order = 100
optionsEditor.item.Tools.item.L.item.filter.view.description = ["toolEditor/tool_filter_description"]


tool.m.name = ["toolEditor/tool8"]
optionsEditor.item.Tools.item.M.trigger = nameFromProperty("tool.m.name")
optionsEditor.item.Tools.item.M = StringField
optionsEditor.item.Tools.item.M.propertyName = tool.m.name
optionsEditor.item.Tools.item.M.order = 190
optionsEditor.item.Tools.item.M.view.description = ["toolEditor/tool8_description"]

optionsEditor.item.Tools.item.M.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.M.item.command = FileNameField
optionsEditor.item.Tools.item.M.item.command.propertyName = tool.m.command
optionsEditor.item.Tools.item.M.item.command.order = 10
optionsEditor.item.Tools.item.M.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.M.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.M.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.M.item.parameters.propertyName = tool.m.parameters
optionsEditor.item.Tools.item.M.item.parameters.order = 20
optionsEditor.item.Tools.item.M.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.M.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.M.item.ShowFor.order = 30
optionsEditor.item.Tools.item.M.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.M.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForFile.propertyName = tool.m.showFor.file
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForFile.order = 30
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.M.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForDir.propertyName = tool.m.showFor.directory
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForDir.order = 40
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.M.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForSource.propertyName = tool.m.showFor.source
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForSource.order = 50
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.M.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForElement.propertyName = tool.m.showFor.element
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForElement.order = 60
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.M.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForMainMenu.propertyName = tool.m.showFor.mainMenu
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForMainMenu.order = 7
optionsEditor.item.Tools.item.M.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.M.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.M.item.update = BooleanField
optionsEditor.item.Tools.item.M.item.update.propertyName = tool.m.update
optionsEditor.item.Tools.item.M.item.update.order = 80
optionsEditor.item.Tools.item.M.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.M.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.M.item.Prompt = BooleanField
optionsEditor.item.Tools.item.M.item.Prompt.propertyName = tool.m.Prompt
optionsEditor.item.Tools.item.M.item.Prompt.order = 90
optionsEditor.item.Tools.item.M.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]

optionsEditor.item.Tools.item.M.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.M.item.openMessage = BooleanField
optionsEditor.item.Tools.item.M.item.openMessage.propertyName = tool.m.openMessage
optionsEditor.item.Tools.item.M.item.openMessage.order = 92
optionsEditor.item.Tools.item.M.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.M.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.M.item.allMessages = BooleanField
optionsEditor.item.Tools.item.M.item.allMessages.propertyName = tool.m.allMessages
optionsEditor.item.Tools.item.M.item.allMessages.order = 94
optionsEditor.item.Tools.item.M.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]


optionsEditor.item.Tools.item.M.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.M.item.filter = ChoiceField({
\  values := { "default","none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})


optionsEditor.item.Tools.item.M.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.M.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.M.item.language.propertyName = tool.m.language
optionsEditor.item.Tools.item.M.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.M.item.filter.propertyName = tool.m.filter
optionsEditor.item.Tools.item.M.item.filter.order = 100
optionsEditor.item.Tools.item.M.item.filter.view.description = ["toolEditor/tool_filter_description"]


tool.n.name = ["toolEditor/tool9"]
optionsEditor.item.Tools.item.N.trigger = nameFromProperty("tool.n.name")
optionsEditor.item.Tools.item.N = StringField
optionsEditor.item.Tools.item.N.propertyName = tool.n.name
optionsEditor.item.Tools.item.N.order = 200
optionsEditor.item.Tools.item.N.view.description = ["toolEditor/tool9_description"]

optionsEditor.item.Tools.item.N.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.N.item.command = FileNameField
optionsEditor.item.Tools.item.N.item.command.propertyName = tool.n.command
optionsEditor.item.Tools.item.N.item.command.order = 10
optionsEditor.item.Tools.item.N.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.N.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.N.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.N.item.parameters.propertyName = tool.n.parameters
optionsEditor.item.Tools.item.N.item.parameters.order = 20
optionsEditor.item.Tools.item.N.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.N.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.N.item.ShowFor.order = 30
optionsEditor.item.Tools.item.N.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.N.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForFile.propertyName = tool.n.showFor.file
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForFile.order = 30
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.N.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForDir.propertyName = tool.n.showFor.directory
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForDir.order = 40
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.N.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForSource.propertyName = tool.n.showFor.source
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForSource.order = 50
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.N.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForElement.propertyName = tool.n.showFor.element
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForElement.order = 60
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.N.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForMainMenu.propertyName = tool.n.showFor.mainMenu
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForMainMenu.order = 7
optionsEditor.item.Tools.item.N.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.N.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.N.item.update = BooleanField
optionsEditor.item.Tools.item.N.item.update.propertyName = tool.n.update
optionsEditor.item.Tools.item.N.item.update.order = 80
optionsEditor.item.Tools.item.N.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.N.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.N.item.Prompt = BooleanField
optionsEditor.item.Tools.item.N.item.Prompt.propertyName = tool.n.Prompt
optionsEditor.item.Tools.item.N.item.Prompt.order = 90
optionsEditor.item.Tools.item.N.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]

optionsEditor.item.Tools.item.N.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.N.item.openMessage = BooleanField
optionsEditor.item.Tools.item.N.item.openMessage.propertyName = tool.n.openMessage
optionsEditor.item.Tools.item.N.item.openMessage.order = 92
optionsEditor.item.Tools.item.N.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.N.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.N.item.allMessages = BooleanField
optionsEditor.item.Tools.item.N.item.allMessages.propertyName = tool.n.allMessages
optionsEditor.item.Tools.item.N.item.allMessages.order = 94
optionsEditor.item.Tools.item.N.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]


optionsEditor.item.Tools.item.N.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.N.item.filter = ChoiceField({
\  values := { "default","none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})

optionsEditor.item.Tools.item.N.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.N.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.N.item.language.propertyName = tool.n.language
optionsEditor.item.Tools.item.N.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.N.item.filter.propertyName = tool.n.filter
optionsEditor.item.Tools.item.N.item.filter.order = 100
optionsEditor.item.Tools.item.N.item.filter.view.description = ["toolEditor/tool_filter_description"]


tool.o.name = ["toolEditor/tool10"]
optionsEditor.item.Tools.item.O.trigger = nameFromProperty("tool.o.name")
optionsEditor.item.Tools.item.O = StringField
optionsEditor.item.Tools.item.O.propertyName = tool.o.name
optionsEditor.item.Tools.item.O.order = 210
optionsEditor.item.Tools.item.O.view.description = ["toolEditor/tool10_description"]

optionsEditor.item.Tools.item.O.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.O.item.command = FileNameField
optionsEditor.item.Tools.item.O.item.command.propertyName = tool.o.command
optionsEditor.item.Tools.item.O.item.command.order = 10
optionsEditor.item.Tools.item.O.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.O.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.O.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.O.item.parameters.propertyName = tool.o.parameters
optionsEditor.item.Tools.item.O.item.parameters.order = 20
optionsEditor.item.Tools.item.O.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.O.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.O.item.ShowFor.order = 30
optionsEditor.item.Tools.item.O.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.O.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForFile.propertyName = tool.o.showFor.file
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForFile.order = 30
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.O.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForDir.propertyName = tool.o.showFor.directory
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForDir.order = 40
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.O.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForSource.propertyName = tool.o.showFor.source
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForSource.order = 50
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.O.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForElement.propertyName = tool.o.showFor.element
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForElement.order = 60
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.O.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForMainMenu.propertyName = tool.o.showFor.mainMenu
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForMainMenu.order = 7
optionsEditor.item.Tools.item.O.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.O.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.O.item.update = BooleanField
optionsEditor.item.Tools.item.O.item.update.propertyName = tool.o.update
optionsEditor.item.Tools.item.O.item.update.order = 80
optionsEditor.item.Tools.item.O.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.O.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.O.item.Prompt = BooleanField
optionsEditor.item.Tools.item.O.item.Prompt.propertyName = tool.o.Prompt
optionsEditor.item.Tools.item.O.item.Prompt.order = 90
optionsEditor.item.Tools.item.O.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]

optionsEditor.item.Tools.item.O.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.O.item.openMessage = BooleanField
optionsEditor.item.Tools.item.O.item.openMessage.propertyName = tool.o.openMessage
optionsEditor.item.Tools.item.O.item.openMessage.order = 92
optionsEditor.item.Tools.item.O.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.O.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.O.item.allMessages = BooleanField
optionsEditor.item.Tools.item.O.item.allMessages.propertyName = tool.o.allMessages
optionsEditor.item.Tools.item.O.item.allMessages.order = 94
optionsEditor.item.Tools.item.O.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]


optionsEditor.item.Tools.item.O.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.O.item.filter = ChoiceField({
\  values := { "default","none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})

optionsEditor.item.Tools.item.O.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.O.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.O.item.language.propertyName = tool.o.language
optionsEditor.item.Tools.item.O.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.O.item.filter.propertyName = tool.o.filter
optionsEditor.item.Tools.item.O.item.filter.order = 100
optionsEditor.item.Tools.item.O.item.filter.view.description = ["toolEditor/tool_filter_description"]


tool.p.name = ["toolEditor/tool11"]
optionsEditor.item.Tools.item.P.trigger = nameFromProperty("tool.p.name")
optionsEditor.item.Tools.item.P = StringField
optionsEditor.item.Tools.item.P.propertyName = tool.p.name
optionsEditor.item.Tools.item.P.order = 220
optionsEditor.item.Tools.item.P.view.description = ["toolEditor/tool11_description"]

optionsEditor.item.Tools.item.P.item.command.name = ["toolEditor/tool_command"]
optionsEditor.item.Tools.item.P.item.command = FileNameField
optionsEditor.item.Tools.item.P.item.command.propertyName = tool.p.command
optionsEditor.item.Tools.item.P.item.command.order = 10
optionsEditor.item.Tools.item.P.item.command.view.description = ["toolEditor/tool_command_description"]

optionsEditor.item.Tools.item.P.item.parameters.name = ["toolEditor/tool_parameters"]
optionsEditor.item.Tools.item.P.item.parameters = SingleLineDialogField
optionsEditor.item.Tools.item.P.item.parameters.propertyName = tool.p.parameters
optionsEditor.item.Tools.item.P.item.parameters.order = 20
optionsEditor.item.Tools.item.P.item.parameters.view.description = ["toolEditor/tool_parameters_description"]

optionsEditor.item.Tools.item.P.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Tools.item.P.item.ShowFor.order = 30
optionsEditor.item.Tools.item.P.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Tools.item.P.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForFile.propertyName = tool.p.showFor.file
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForFile.order = 30
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]

optionsEditor.item.Tools.item.P.item.ShowFor.item.showForDir.name = ["toolEditor/tool_showForDir"]
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForDir = BooleanField
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForDir.propertyName = tool.p.showFor.directory
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForDir.order = 40
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForDir.view.description = ["toolEditor/tool_showForDir_description"]

optionsEditor.item.Tools.item.P.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForSource.propertyName = tool.p.showFor.source
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForSource.order = 50
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]

optionsEditor.item.Tools.item.P.item.ShowFor.item.showForElement.name = ["toolEditor/tool_showForElement"]
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForElement = BooleanField
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForElement.propertyName = tool.p.showFor.element
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForElement.order = 60
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForElement.view.description = ["toolEditor/tool_showForElement_description"]

optionsEditor.item.Tools.item.P.item.ShowFor.item.showForMainMenu.name = ["toolEditor/tool_showForMainMenu"]
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForMainMenu = BooleanField
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForMainMenu.propertyName = tool.p.showFor.mainMenu
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForMainMenu.order = 7
optionsEditor.item.Tools.item.P.item.ShowFor.item.showForMainMenu.view.description = ["toolEditor/tool_showForMainMenu_description"]

optionsEditor.item.Tools.item.P.item.update.name = ["toolEditor/tool_update"]
optionsEditor.item.Tools.item.P.item.update = BooleanField
optionsEditor.item.Tools.item.P.item.update.propertyName = tool.p.update
optionsEditor.item.Tools.item.P.item.update.order = 80
optionsEditor.item.Tools.item.P.item.update.view.description = ["toolEditor/tool_update_description"]

optionsEditor.item.Tools.item.P.item.Prompt.name = ["toolEditor/tool_Prompt"]
optionsEditor.item.Tools.item.P.item.Prompt = BooleanField
optionsEditor.item.Tools.item.P.item.Prompt.propertyName = tool.p.Prompt
optionsEditor.item.Tools.item.P.item.Prompt.order = 90
optionsEditor.item.Tools.item.P.item.Prompt.view.description = ["toolEditor/tool_Prompt_description"]

optionsEditor.item.Tools.item.P.item.openMessage.name = ["toolEditor/tool_openMessage"]
optionsEditor.item.Tools.item.P.item.openMessage = BooleanField
optionsEditor.item.Tools.item.P.item.openMessage.propertyName = tool.p.openMessage
optionsEditor.item.Tools.item.P.item.openMessage.order = 92
optionsEditor.item.Tools.item.P.item.openMessage.view.description = ["toolEditor/tool_openMessage_description"]

optionsEditor.item.Tools.item.P.item.allMessages.name = ["toolEditor/tool_allMessages"]
optionsEditor.item.Tools.item.P.item.allMessages = BooleanField
optionsEditor.item.Tools.item.P.item.allMessages.propertyName = tool.p.allMessages
optionsEditor.item.Tools.item.P.item.allMessages.order = 94
optionsEditor.item.Tools.item.P.item.allMessages.view.description = ["toolEditor/tool_allMessages_description"]


optionsEditor.item.Tools.item.P.item.filter.name = ["toolEditor/tool_filter"]
optionsEditor.item.Tools.item.P.item.filter = ChoiceField({
\  values := { "default", "none", "jikes", "bmj", "grep", "mscl","gpp" },
\  names := { "Automatic","None", "Jikes", "Bmj", "Grep", "Microsoft C/C++","g++" }
\})

optionsEditor.item.Tools.item.P.item.language.name = ["toolEditor/tool_language"]
optionsEditor.item.Tools.item.P.item.language = ChoiceField({
\  values := { "any", "java", "cpp","idl" },
\  names := { "Any", "Java", "C++","IDL" }
\})
optionsEditor.item.Tools.item.P.item.language.propertyName = tool.p.language
optionsEditor.item.Tools.item.P.item.language.view.description = ["toolEditor/tool_language_description"]

optionsEditor.item.Tools.item.P.item.filter.propertyName = tool.p.filter
optionsEditor.item.Tools.item.P.item.filter.order = 100
optionsEditor.item.Tools.item.P.item.filter.view.description = ["toolEditor/tool_filter_description"]


# External Editor configuration . places External Editor items into
# Text Editor tab

optionsEditor.item.Text Editor.item.External Editor.name = ["lioTextEditorTab/external_editor"]
optionsEditor.item.Text Editor.item.External Editor.view.description = ["lioTextEditorTab/external_editor_description"]
optionsEditor.item.Text Editor.item.External Editor.propertyName = external.editor
optionsEditor.item.Text Editor.item.External Editor = ChoiceField(
\{
\   names  := { "Default","Notepad","Vi","Emacs" ,"MultiEdit"  } ,
\   values := { "$:external.editor.default$","$:external.editor.notepad$","$:external.editor.vi$","$:external.editor.emacs$","$:external.editor.me$" }
\}
\)

optionsEditor.item.Text Editor.item.External Editor.item.default = StringField
optionsEditor.item.Text Editor.item.External Editor.item.default.name = ["lioTextEditorTab/external_editor_default"]
optionsEditor.item.Text Editor.item.External Editor.item.default.propertyName=external.editor.default
optionsEditor.item.Text Editor.item.External Editor.item.default.view.description = ["lioTextEditorTab/external_editor_default_description"]

optionsEditor.item.Text Editor.item.External Editor.item.notepad = StringField
optionsEditor.item.Text Editor.item.External Editor.item.notepad.name = ["lioTextEditorTab/external_editor_notepad"]
optionsEditor.item.Text Editor.item.External Editor.item.notepad.propertyName=external.editor.notepad
optionsEditor.item.Text Editor.item.External Editor.item.notepad.view.description = ["lioTextEditorTab/external_editor_notepad_description"]

optionsEditor.item.Text Editor.item.External Editor.item.vi.name = ["lioTextEditorTab/external_editor_vi"]
optionsEditor.item.Text Editor.item.External Editor.item.vi = StringField
optionsEditor.item.Text Editor.item.External Editor.item.vi.propertyName=external.editor.vi
optionsEditor.item.Text Editor.item.External Editor.item.vi.view.description = ["lioTextEditorTab/external_editor_vi_description"]

optionsEditor.item.Text Editor.item.External Editor.item.emacs.name = ["lioTextEditorTab/external_editor_emacs"]
optionsEditor.item.Text Editor.item.External Editor.item.emacs = StringField
optionsEditor.item.Text Editor.item.External Editor.item.emacs.propertyName=external.editor.emacs
optionsEditor.item.Text Editor.item.External Editor.item.emacs.view.description = ["lioTextEditorTab/external_editor_emacs_description"]

optionsEditor.item.Text Editor.item.External Editor.item.me.name = ["lioTextEditorTab/external_editor_me"]
optionsEditor.item.Text Editor.item.External Editor.item.me = StringField
optionsEditor.item.Text Editor.item.External Editor.item.me.propertyName=external.editor.me
optionsEditor.item.Text Editor.item.External Editor.item.me.view.description = ["lioTextEditorTab/external_editor_me_description"]


optionsEditor.item.Text Editor.item.External Editor.item.ShowFor.name=["toolEditor/tool_showFor"]
optionsEditor.item.Text Editor.item.External Editor.item.ShowFor.view.description = ["toolEditor/tool_showFor_description"]

optionsEditor.item.Text Editor.item.External Editor.item.ShowFor.item.showForFile.name = ["toolEditor/tool_showForFile"]
optionsEditor.item.Text Editor.item.External Editor.item.ShowFor.item.showForFile = BooleanField
optionsEditor.item.Text Editor.item.External Editor.item.ShowFor.item.showForFile.propertyName = tool.a.showFor.file
optionsEditor.item.Text Editor.item.External Editor.item.ShowFor.item.showForFile.view.description = ["toolEditor/tool_showForFile_description"]
optionsEditor.item.Text Editor.item.External Editor.item.ShowFor.item.showForSource.name = ["toolEditor/tool_showForSource"]
optionsEditor.item.Text Editor.item.External Editor.item.ShowFor.item.showForSource = BooleanField
optionsEditor.item.Text Editor.item.External Editor.item.ShowFor.item.showForSource.propertyName = tool.a.showFor.source
optionsEditor.item.Text Editor.item.External Editor.item.ShowFor.item.showForSource.view.description = ["toolEditor/tool_showForSource_description"]
